| QxOrm 1.5.0 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- File List
- File Members

Functions
QxSerializeQDataStream_boost_tuple.h File Reference
QxSerialize : QxOrm library serialization engine based on 'boost::serialization' library

Provide a Qt QDataStream serialization method (save/load) for type boost::tuple<T0, T1, ..., T9> More...

`#include <QtCore/qdatastream.h>`

Go to the source code of this file.

## Functions
template<typename T0 , typename T1 >
QDataStream & | operator<< (QDataStream &stream, const boost::tuple< T0, T1 > &t)
template<typename T0 , typename T1 , typename T2 >
QDataStream & | operator<< (QDataStream &stream, const boost::tuple< T0, T1, T2 > &t)
template<typename T0 , typename T1 , typename T2 , typename T3 >
QDataStream & | operator<< (QDataStream &stream, const boost::tuple< T0, T1, T2, T3 > &t)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 >
QDataStream & | operator<< (QDataStream &stream, const boost::tuple< T0, T1, T2, T3, T4 > &t)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 >
QDataStream & | operator<< (QDataStream &stream, const boost::tuple< T0, T1, T2, T3, T4, T5 > &t)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 >
QDataStream & | operator<< (QDataStream &stream, const boost::tuple< T0, T1, T2, T3, T4, T5, T6 > &t)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 >
QDataStream & | operator<< (QDataStream &stream, const boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7 > &t)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 >
QDataStream & | operator<< (QDataStream &stream, const boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8 > &t)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 , typename T9 >
QDataStream & | operator<< (QDataStream &stream, const boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9 > &t)
template<typename T0 , typename T1 >
QDataStream & | operator>> (QDataStream &stream, boost::tuple< T0, T1 > &t)
template<typename T0 , typename T1 , typename T2 >
QDataStream & | operator>> (QDataStream &stream, boost::tuple< T0, T1, T2 > &t)
template<typename T0 , typename T1 , typename T2 , typename T3 >
QDataStream & | operator>> (QDataStream &stream, boost::tuple< T0, T1, T2, T3 > &t)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 >
QDataStream & | operator>> (QDataStream &stream, boost::tuple< T0, T1, T2, T3, T4 > &t)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 >
QDataStream & | operator>> (QDataStream &stream, boost::tuple< T0, T1, T2, T3, T4, T5 > &t)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 >
QDataStream & | operator>> (QDataStream &stream, boost::tuple< T0, T1, T2, T3, T4, T5, T6 > &t)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 >
QDataStream & | operator>> (QDataStream &stream, boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7 > &t)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 >
QDataStream & | operator>> (QDataStream &stream, boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8 > &t)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 , typename T9 >
QDataStream & | operator>> (QDataStream &stream, boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9 > &t)

## Detailed Description

Provide a Qt QDataStream serialization method (save/load) for type boost::tuple<T0, T1, ..., T9>

Author:
  Lionel Marty

Definition in file QxSerializeQDataStream_boost_tuple.h.

## Function Documentation

template<typename T0 , typename T1 >

QDataStream& operator<< | ( | QDataStream & | stream,
|  | const boost::tuple< T0, T1 > & | t
| ) |  |

Definition at line 50 of file QxSerializeQDataStream_boost_tuple.h.

template<typename T0 , typename T1 , typename T2 >

QDataStream& operator<< | ( | QDataStream & | stream,
|  | const boost::tuple< T0, T1, T2 > & | t
| ) |  |

Definition at line 58 of file QxSerializeQDataStream_boost_tuple.h.

template<typename T0 , typename T1 , typename T2 , typename T3 >

QDataStream& operator<< | ( | QDataStream & | stream,
|  | const boost::tuple< T0, T1, T2, T3 > & | t
| ) |  |

Definition at line 67 of file QxSerializeQDataStream_boost_tuple.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 >

QDataStream& operator<< | ( | QDataStream & | stream,
|  | const boost::tuple< T0, T1, T2, T3, T4 > & | t
| ) |  |

Definition at line 77 of file QxSerializeQDataStream_boost_tuple.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 >

QDataStream& operator<< | ( | QDataStream & | stream,
|  | const boost::tuple< T0, T1, T2, T3, T4, T5 > & | t
| ) |  |

Definition at line 88 of file QxSerializeQDataStream_boost_tuple.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 >

QDataStream& operator<< | ( | QDataStream & | stream,
|  | const boost::tuple< T0, T1, T2, T3, T4, T5, T6 > & | t
| ) |  |

Definition at line 100 of file QxSerializeQDataStream_boost_tuple.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 >

QDataStream& operator<< | ( | QDataStream & | stream,
|  | const boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7 > & | t
| ) |  |

Definition at line 113 of file QxSerializeQDataStream_boost_tuple.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 >

QDataStream& operator<< | ( | QDataStream & | stream,
|  | const boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8 > & | t
| ) |  |

Definition at line 127 of file QxSerializeQDataStream_boost_tuple.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 , typename T9 >

QDataStream& operator<< | ( | QDataStream & | stream,
|  | const boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9 > & | t
| ) |  |

Definition at line 142 of file QxSerializeQDataStream_boost_tuple.h.

template<typename T0 , typename T1 >

QDataStream& operator>> | ( | QDataStream & | stream,
|  | boost::tuple< T0, T1 > & | t
| ) |  |

Definition at line 158 of file QxSerializeQDataStream_boost_tuple.h.

template<typename T0 , typename T1 , typename T2 >

QDataStream& operator>> | ( | QDataStream & | stream,
|  | boost::tuple< T0, T1, T2 > & | t
| ) |  |

Definition at line 166 of file QxSerializeQDataStream_boost_tuple.h.

template<typename T0 , typename T1 , typename T2 , typename T3 >

QDataStream& operator>> | ( | QDataStream & | stream,
|  | boost::tuple< T0, T1, T2, T3 > & | t
| ) |  |

Definition at line 175 of file QxSerializeQDataStream_boost_tuple.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 >

QDataStream& operator>> | ( | QDataStream & | stream,
|  | boost::tuple< T0, T1, T2, T3, T4 > & | t
| ) |  |

Definition at line 185 of file QxSerializeQDataStream_boost_tuple.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 >

QDataStream& operator>> | ( | QDataStream & | stream,
|  | boost::tuple< T0, T1, T2, T3, T4, T5 > & | t
| ) |  |

Definition at line 196 of file QxSerializeQDataStream_boost_tuple.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 >

QDataStream& operator>> | ( | QDataStream & | stream,
|  | boost::tuple< T0, T1, T2, T3, T4, T5, T6 > & | t
| ) |  |

Definition at line 208 of file QxSerializeQDataStream_boost_tuple.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 >

QDataStream& operator>> | ( | QDataStream & | stream,
|  | boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7 > & | t
| ) |  |

Definition at line 221 of file QxSerializeQDataStream_boost_tuple.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 >

QDataStream& operator>> | ( | QDataStream & | stream,
|  | boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8 > & | t
| ) |  |

Definition at line 235 of file QxSerializeQDataStream_boost_tuple.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 , typename T9 >

QDataStream& operator>> | ( | QDataStream & | stream,
|  | boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9 > & | t
| ) |  |

Definition at line 250 of file QxSerializeQDataStream_boost_tuple.h.